package com.qmth.distributed.print.business.bean.flow;

import com.qmth.distributed.print.business.enums.CustomFlowTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义流程dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/21
 */
public class CustomFlowDto extends CustomFlowCommonDto implements Serializable {

    @ApiModelProperty(value = "流程属性id")
    String flowTaskId;

    @ApiModelProperty(value = "前置流程节点id集合")
    List<CustomFlowSequenceDto> beforeFlowTaskIds;

    @ApiModelProperty(value = "后置流程节点id集合")
    List<CustomFlowSequenceDto> afterFlowTaskIds;

    @ApiModelProperty(value = "流程步骤")
    Integer setup;

    public CustomFlowDto() {

    }

    public CustomFlowDto(String id, CustomFlowTypeEnum type, String content, String flowTaskId) {
        this.id = id;
        this.type = type;
        this.content = content;
        this.flowTaskId = flowTaskId;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public List<CustomFlowSequenceDto> getBeforeFlowTaskIds() {
        return beforeFlowTaskIds;
    }

    public void setBeforeFlowTaskIds(List<CustomFlowSequenceDto> beforeFlowTaskIds) {
        this.beforeFlowTaskIds = beforeFlowTaskIds;
    }

    public List<CustomFlowSequenceDto> getAfterFlowTaskIds() {
        return afterFlowTaskIds;
    }

    public void setAfterFlowTaskIds(List<CustomFlowSequenceDto> afterFlowTaskIds) {
        this.afterFlowTaskIds = afterFlowTaskIds;
    }

    public String getFlowTaskId() {
        return flowTaskId;
    }

    public void setFlowTaskId(String flowTaskId) {
        this.flowTaskId = flowTaskId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public CustomFlowTypeEnum getType() {
        return type;
    }

    public void setType(CustomFlowTypeEnum type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Double getW() {
        return w;
    }

    public void setW(Double w) {
        this.w = w;
    }

    public Double getH() {
        return h;
    }

    public void setH(Double h) {
        this.h = h;
    }

    public Double getX() {
        return x;
    }

    public void setX(Double x) {
        this.x = x;
    }

    public Double getY() {
        return y;
    }

    public void setY(Double y) {
        this.y = y;
    }

    public CustomFlowPropertyDto getProperty() {
        return property;
    }

    public void setProperty(CustomFlowPropertyDto property) {
        this.property = property;
    }
}
